#===============================================================================
# Motley::Schema::HTML
#
class Motley::Schema::HTML < Motley::Schema
	#---------------------------------------------------------------------------
	# initialize
	#
	def initialize()
		super()
		
		# tags
		@tags['html'] = Motley::HTML::HTML
		@tags['a'] = Motley::HTML::A
	end
	#
	# initialize
	#---------------------------------------------------------------------------
end
#
# Motley::Schema::HTML
#===============================================================================


#===============================================================================
# Motley::HTML
#
module Motley::HTML
end
#
# Motley::HTML
#===============================================================================


#===============================================================================
# Motley::HTML::HTML
#
class Motley::HTML::HTML < Motley::Tag
	attr_accessor :document
	
	# name
	def name; 'html'; end;
	
	#---------------------------------------------------------------------------
	# initialize
	#
	def initialize(document=nil)
		super()
		@document = document
	end
	#
	# initialize
	#---------------------------------------------------------------------------
	
	
	#---------------------------------------------------------------------------
	# set_atts
	# <html> does not have any attributes beside id
	#
	self.set_atts
	#
	# set_atts
	#---------------------------------------------------------------------------
end
#
# Motley::HTML::HTML
#===============================================================================


#===============================================================================
# Motley::HTML::A
#
class Motley::HTML::A < Motley::Tag::Nested
	# name
	def name; 'a'; end;
	
	#---------------------------------------------------------------------------
	# set_atts
	#
	self.set_atts do |defs|
		defs['title'] = Motley::AttDef::Scalar.new
		defs['href'] = Motley::AttDef::URI.new
	end
	#
	# set_atts
	#---------------------------------------------------------------------------
end
#
# Motley::HTML::A
#===============================================================================